ForceFields::MMFF::MMFFAromCollection Class Reference

`#include <Params.h>`

## Public Member Functions

bool | isMMFFAromatic (const unsigned int atomType) const
| Looks up the parameters for a particular key and returns them. More...

## Static Public Member Functions

static MMFFAromCollection * | getMMFFArom (const boost::uint8_t *aromatic_types=NULL)
| gets a pointer to the singleton MMFFAromCollection More...

## Detailed Description

Definition at line 157 of file MMFF/Params.h.

## Member Function Documentation

static MMFFAromCollection* ForceFields::MMFF::MMFFAromCollection::getMMFFArom | ( | const boost::uint8_t * | aromatic_types = `NULL` | ) |

static

gets a pointer to the singleton MMFFAromCollection

Parameters

  mmffArom | (optional) a string with parameter data. See below for more information about this argument

Returns
  a pointer to the singleton MMFFAromCollection

Notes:

- do not delete the pointer returned here
- if the singleton MMFFAromCollection has already been instantiated and `mmffArom` is empty, the singleton will be returned.
- if `mmffArom` is empty and the singleton MMFFAromCollection has not yet been instantiated, the default MMFFArom parameters (from Params.cpp) will be used.
- if `mmffArom` is supplied, a new singleton will be instantiated. The current instantiation (if there is one) will be deleted.

bool ForceFields::MMFF::MMFFAromCollection::isMMFFAromatic | ( | const unsigned int | atomType | ) | const

inline

Looks up the parameters for a particular key and returns them.

Returns
  a pointer to the MMFFArom object, NULL on failure.

Definition at line 181 of file MMFF/Params.h.

The documentation for this class was generated from the following file:

- MMFF/Params.h